#ifndef __TIME_H__
# define __TIME_H__

/* Number of ticks per second in a clock_t value. */
#define CLOCKS_PER_SEC 1000000

/* Type used to represent process CPU time; unit is CLOCKS_PER_SEC. */
typedef uint64_t clock_t;

/* Type used to represent a number of seconds since Epoch. */
typedef uint64_t time_t;

/* Broken-down time. */
struct tm {
	int tm_sec;
	int tm_min;
	int tm_hour;
	int tm_mday;
	int tm_mon;
	int tm_year;
	int tm_wday;
	int tm_yday;
	int tm_isdst;
};

#endif /*__TIME_H__*/
